Page MenuHomePhabricator

Handle timeout in PaypalEC Orphan Rectifier and enable job
Closed, ResolvedPublic

Event Timeline

mepps created this task.Jan 5 2018, 3:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 5 2018, 3:52 PM
mepps claimed this task.Jan 5 2018, 4:21 PM
mepps added a subscriber: Ejegg.Jan 11 2018, 4:48 PM

Trying to figure out status for records where token has timed out. @Ejegg does it make any sense to add a status for this? Like FinalStatus::TIMEOUT?

Ejegg added a comment.Jan 11 2018, 5:15 PM

Mepps you could also throw a catchable exception on timeout to short-circuit the rest of the calls

mepps added a comment.Jan 11 2018, 5:16 PM

@Ejegg there are already is one but it doesn't actually prevent the other calls. Let me know if you want to walk through it later, although as I noted on irc, I'm wondering if I should pause on this until the next sprint.

Change 403742 had a related patch set uploaded (by Mepps; owner: Mepps):
[wikimedia/fundraising/SmashPig@master] Add timeout status

https://gerrit.wikimedia.org/r/403742

Change 403745 had a related patch set uploaded (by Mepps; owner: Mepps):
[mediawiki/extensions/DonationInterface@master] WIP: Add catch statement to processDonorReturn, use timeout status

https://gerrit.wikimedia.org/r/403745

Change 403742 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Add timeout status

https://gerrit.wikimedia.org/r/403742

Change 404806 had a related patch set uploaded (by Mepps; owner: Mepps):
[wikimedia/fundraising/crm@master] Add logging for errors

https://gerrit.wikimedia.org/r/404806

Change 403745 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add catch statement to processDonorReturn, use timeout status

https://gerrit.wikimedia.org/r/403745

Change 407738 had a related patch set uploaded (by Mepps; owner: Mepps):
[mediawiki/extensions/DonationInterface@master] Update return from timeout

https://gerrit.wikimedia.org/r/407738

Change 407738 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Update return from timeout

https://gerrit.wikimedia.org/r/407738

mepps added a comment.Mar 9 2018, 4:52 PM

@Ejegg I think we're ready to enable this? I just ran it on civi1001 and it seemed to be working well.

Change 404806 abandoned by Mepps:
Add logging for errors

https://gerrit.wikimedia.org/r/404806

mepps closed this task as Resolved.Mar 13 2018, 8:06 PM
238482n375 set Security to Software security bug.Jun 15 2018, 8:04 AM
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".
This comment was removed by Reedy.
Restricted Application added a project: Security. · View Herald TranscriptJun 15 2018, 2:19 PM
Aklapper raised the priority of this task from Lowest to Needs Triage.Jun 15 2018, 2:25 PM
Aklapper removed a project: Security.
Aklapper added a subscriber: Aklapper.
Aklapper assigned this task to mepps.Jun 15 2018, 2:37 PM